com.mysql.jdbc

## Class AssertionFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.mysql.jdbc.AssertionFailedException

All Implemented Interfaces:
  java.io.Serializable

    public class AssertionFailedException
    extends java.lang.RuntimeException

Assertions for empty code paths that should never be executed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AssertionFailedException(java.lang.Exception ex)` Creates an AssertionFailedException for the given exception that should never have been thrown.

### Method Summary

Methods
`static void` `shouldNotHappen(java.lang.Exception ex)` Convenience method.

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AssertionFailedException

    public AssertionFailedException(java.lang.Exception ex)

Creates an AssertionFailedException for the given exception that should never have been thrown.

Parameters:
  `ex` - the exception that should never have been thrown.

### Method Detail

#### shouldNotHappen

    public static void shouldNotHappen(java.lang.Exception ex)
                                throws AssertionFailedException

Convenience method.

Parameters:
  `ex` - the exception that should never have been thrown.
Throws:
  `AssertionFailedException` - for the exception ex.